const Router = VueRouter;
const routes = [
  //默认跳转到登录页
  {
    path: "/",
    redirect: "/demand/index",
  },
  {
    path: "",
    redirect: "/demand/index",
  },
  //登录页
  {
    path: "/login",
    component: () => import("@/views/login"),
    hidden: true,
  },
  {
    path: "/demand",
    component: () => import("@/layout/index"),
    redirect: "/demand/index",
    children: [
      {
        path: "index",
        component: () => import("@/views/demand/index"),
        name: "index",
      },
      {
        path: "detail",
        component: () => import("@/views/demand/detail"),
        name: "detail",
      },
    ],
  },
  {
    path: "*",
    redirect: "/demand/index",
  }
];
const router = new Router({
  mode: "hash",
  base: process.env.BASE_URL,
  scrollBehavior: () => ({ y: 0 }),
  routes,
});

// 重写路由的push方法，主要是为了解决同一个路由路径重复点击报错
const routerPush = Router.prototype.push;
Router.prototype.push = function push(location) {
  return routerPush.call(this, location).catch((error) => error);
};
Vue.use(Router);
export default router;
